<?php


namespace Simple_Giveaways;

/**
 * Class AutomatorWP_Base_Trigger
 *
 * @package Simple_Giveaways
 */
class AutomatorWP_Base_Trigger extends \AutomatorWP_Integration_Trigger {

	/**
	 * @var string
	 */
	public $integration = 'giveasap';

	/**
	 * Register the required hooks
	 *
	 * @since 1.0.0
	 */
	public function hooks() {

		parent::hooks();

		remove_action( 'automatorwp_init', array( $this, 'register' ) );
		remove_action( 'automatorwp_post_init', array( $this, 'register_listener_hook' ) );

		// Hook for triggers registered from the theme's functions
		add_action( 'after_setup_theme', array( $this, 'register' ), 10 );

		// Hook for triggers registered from the theme's functions
		add_action( 'after_setup_theme', array( $this, 'register_listener_hook' ), 30 );
	}
}
